Bug 469892 - (examiner) Review Request: examiner - Utility to disassemble and comment foreign executable binaries
Review Request: examiner - Utility to disassemble and comment foreign executa...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 11:34 EST by Rakesh Pandit
Modified: 2015-03-24 08:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-10 12:30:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
opensource: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2008-11-04 11:34:06 EST
Description:

The Examiner is an application that utilizes the objdump command to
disassemble and comment foreign executable binaries. This app was
designed to analyse static compiled binaries but works ok with
others. The intention is for forensic research but could also be used
in general reverse engineering.
           This program can only handle basic disassembly. If the
binary has been modified to resist debugging then the Examiner
probably will not be able to analyse the code. Also the Examiner will
not analyse live running code.

SPEC: http://rakesh.fedorapeople.org/spec/examiner.spec
SRPM: http://rakesh.fedorapeople.org/srpm/examiner-0.5-1.fc10.src.rpm
Comment 1 Till Maas 2008-11-07 07:08:55 EST
Instead of the huge sed script you should better define the variables at the make commandline, e.g.

make install BIN="${RPM_BUILD_ROOT}/%{_bindir}" for each of the variable substitions.
Comment 3 Rakesh Pandit 2008-12-06 11:56:41 EST
Till around ? :)
Comment 4 Till Maas 2008-12-09 17:09:41 EST
[OK] rpmlint output: silent
[OK] Spec in %{name}.spec format

[OK] license allowed: GPL+
[NEEDSWORK] license matches shortname in License: tag
https://fedoraproject.org/wiki/Licensing

From the GPLv2 license text that is included in the tarball:
| If the Program does not specify a version number of
| this License, you may choose any version ever published by the Free Software
| Foundation.

There is no specific version mentioned in the examiner file, therefore GPL+
has to be used.

[OK] license in tarball and included in %doc: COPYING

[OK] package is code or permissive content: code
{N/A} patches sent to upstream and commented
[OK] Source0 is a working URL
{N/A} Sourceforge URL is Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
<N/A> SourceX / PatchY prefixed with %{name}

[OK] Source0 matches Upstream:
b4c93a092c95ce9cc4e6012130ddc456  examiner-0.5.tar.gz

[OK] Package builds on all platforms: noarch
[N/A] ExcludeArch bugs are filed and commented:
[OK] BuildRequires are complete (mock builds)
(OK) No file dependencies outside of /etc /bin /sbin /usr/bin /usr/sbin 

[N/A] %find_lang used for locales
[N/A] Every (sub)package containing libraries runs ldconfig
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
[N/A] .h (header) files are in -devel subpackage
[N/A] .a (static libraries) are in -static subpackage
[N/A] contains .pc (pkgconfig) files and has Requires: pkgconfig
(N/A) .pc files are in -devel subpackage
[N/A] contains .so.X(.Y) files and .so is in -devel
[N/A] -devel subpackage has Requires: %{name} = %{version}-%{release}
[N/A] .la files (libtool) are not included

[N/A] Has GUI and includes %{name}.desktop
[N/A] Follows desktop entry spec
[N/A] Valid .desktop Name
[N/A] Valid .desktop GenericName
[N/A] Valid .desktop Categories
[N/A] Valid .desktop StartupNotify
[N/A] .desktop file installed with desktop-file-install in %install

[OK] Prefix: /usr not used (not relocatable)

[OK] Owns all created directories
[OK] no duplicates in %files
[OK] %defattr(-,root,root,-) is in every %files section
[OK] Does not own files or dirs from other packages
[OK] included filenames are in UTF-8

[OK] %clean is rm -rf %{buildroot} or $RPM_BUILD_ROOT 
[OK] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT 

[OK] Consistent macro usage

[N/A] large documentation is -doc subpackage
[OK] %doc does not affect runtime

{OK} no pre-built binaries (.a, .so*, executable)

{OK} well known BuildRoot
%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
{OK} PreReq not used
{N/A} RPM_OPT_FLAGS honoured
{N/A} Useful debuginfo generated
{N/A} no duplication of system libraries
{N/A} no rpath
{OK} Timestamps preserved with cp and install
{N/A} Uses parallel make (%{?_smp_mflags})
{OK} Requires(pre,post) style notation not used
{OK} only writes to tmp /var/tmp $TMPDIR %{_tmppath} %{_builddir} (and %{buildroot} on %install and %clean)
{OK} no Conflicts
{OK} nothing installed in /srv
{OK} Changelog in allowed format
{OK} does not use Scriptlets

<OK> Architecture independent packages have: BuildArch: noarch
<OK> Sane Provides: and Requires:

{OK} Follows Naming Guidelines


Conclusion:

This package is APPROVED, but change the license tag to GPL+ before importing it to Fedora.
Comment 5 Rakesh Pandit 2008-12-09 22:56:13 EST
Thanks, will change license tag while importing.

New Package CVS Request
=======================
Package Name: examiner
Short Description: Utility to disassemble and comment foreign executable binaries
Owners: rakesh
Branches: F-8 F-9 F-10
InitialCC:
Cvsextras Commits: yes
Comment 6 Huzaifa S. Sidhpurwala 2008-12-09 23:07:22 EST
cvs done
Comment 7 Fedora Update System 2008-12-10 11:58:33 EST
examiner-0.5-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/examiner-0.5-2.fc9
Comment 8 Fedora Update System 2008-12-10 11:59:40 EST
examiner-0.5-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/examiner-0.5-2.fc10
Comment 9 Fedora Update System 2008-12-21 18:39:22 EST
examiner-0.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-12-21 18:42:19 EST
examiner-0.5-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fabian Affolter 2015-03-24 03:39:11 EDT
Package Change Request
======================
Package Name: examiner
New Branches: epel7 el6
Owners: fab
InitialCC:
Comment 12 Gwyn Ciesla 2015-03-24 08:42:30 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.